Skip to main content
POST
/
twitter
/
send_dm_to_user
Send DM
curl --request POST \
  --url https://api.aisa.one/apis/v1/twitter/send_dm_to_user \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "login_cookies": "<string>",
  "user_id": "<string>",
  "text": "<string>",
  "proxy": "<string>",
  "media_ids": [
    "<string>"
  ],
  "reply_to_message_id": "<string>"
}
'
{
  "message_id": "<string>",
  "status": "<string>",
  "msg": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
login_cookies
string
required

The login cookie of the user.

user_id
string
required

The id of the user to send the direct message to.

text
string
required

The text of the direct message.

proxy
string
required

The proxy to use.

media_ids
string[]

The ids of the media to post.

reply_to_message_id
string

The id of the message to reply to.

Response

200 - application/json

Successful DM sending

message_id
string

The id of the sent direct message.

status
string

Status of the request.

msg
string

Message of the request.